jest.mock("../../Contexts/VehicleContext");
jest.mock("../../Contexts/StatusContext");
jest.mock("../../Contexts/UserContext");
jest.mock("@material-ui/core/utils/unstable_useId", () =>
  jest.fn().mockReturnValue("mui-test-id")
);
import { render, waitFor } from "@testing-library/react";
import { MemoryRouter, Route } from "react-router-dom";
import { VehicleProvider } from "../../Contexts/VehicleContext";
import { StatusProvider } from "../../Contexts/StatusContext";
import { UserProvider, setToken } from "../../Contexts/UserContext";
import { TEST_AUTH_OBJECT_FISKER } from "../../../utils/testing";
import MainForm from "./index";
import addSnapshotSerializer from "../../../utils/snapshot";

const renderFlashpackAdd = async () => {
  const { container } = render(
    <VehicleProvider>
      <StatusProvider>
        <UserProvider>
          <MemoryRouter initialEntries={["/tools/flashpack/add"]}>
            <Route path="/tools/flashpack/add">
              <MainForm />
            </Route>
          </MemoryRouter>
        </UserProvider>
      </StatusProvider>
    </VehicleProvider>
  );
  await waitFor(() => {
    /* render */
  });
  return container;
};

describe("FlashpackAdd", () => {
  beforeAll(() => {
    addSnapshotSerializer(expect);
  });

  it("Render", async () => {
    setToken(TEST_AUTH_OBJECT_FISKER);
    const container = await renderFlashpackAdd();
    expect(container).toMatchSnapshot();
  });
});
